Loading...
Searching...
No Matches
Visitor Class Reference

The Visitor class is the base class for all Node visitors. More...

`#include <avogadro/rendering/visitor.h>`

Inheritance diagram for Visitor:

## Public Member Functions

virtual void | visit (Node &)
virtual void | visit (GroupNode &)
virtual void | visit (GeometryNode &)
virtual void | visit (Drawable &)
virtual void | visit (SphereGeometry &)
virtual void | visit (AmbientOcclusionSphereGeometry &)
virtual void | visit (CurveGeometry &)
virtual void | visit (CylinderGeometry &)
virtual void | visit (MeshGeometry &)
virtual void | visit (TextLabel2D &)
virtual void | visit (TextLabel3D &)
virtual void | visit (LineStripGeometry &)
virtual void | visit (WideLineGeometry &)

## Detailed Description

Author
  Marcus D. Hanwell

The Visitor class is the base class for visitors to Node objects in the Scene, providing common API and functionality.

## Member Function Documentation

## visit()

virtual void visit | ( | Node & |  | ) |

virtual

The overloaded visit functions, the base versions of which do nothing.

Reimplemented in GeometryVisitor, GLRenderVisitor, PLYVisitor, POVRayVisitor, and VRMLVisitor.

The documentation for this class was generated from the following file:

- visitor.h